Version française
Home     About     Download     Resources     Contact us    
Browse thread
[Caml-list] O'Caml 3.03 alpha
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Gerd Stolpmann <info@g...>
Subject: [Caml-list] O'Caml 3.03 alpha
Hi,

I've checked the packages on ocaml-programming.de for compatibility with 
3.03 alpha. Fortunately, most things work without any change :-) However,
the following packages need to be updated:

- findlib: new release 0.6.1 supports DLLs
- shell: new release 0.2 can now be installed with DLL
- equeue: new release 1.2.2 can now be installed with DLL
- netstring: new release 0.10.1 is necessary because of label errors
  NOTE: 0.10.1 does not yet contain the new features from ocamlnet.
  It is only a patch to make netstring compile under 3.03 alpha.
- pxp: new release 1.1.1 is necessary because of label errors

I have also updated the compatibility matrix:

http://www.ocaml-programming.de/packages/compatibility.html

I think the "alpha" version number is an understatement. I have not yet found
any errors (however, there are lots of OS-dependent changes, so OS-specific
problems may arise). Great work.

Gerd
-- 
----------------------------------------------------------------------------
Gerd Stolpmann      Telefon: +49 6151 997705 (privat)
Viktoriastr. 45             
64293 Darmstadt     EMail:   gerd@gerd-stolpmann.de
Germany                     
----------------------------------------------------------------------------
-------------------
Bug reports: http://caml.inria.fr/bin/caml-bugs  FAQ: http://caml.inria.fr/FAQ/
To unsubscribe, mail caml-list-request@inria.fr  Archives: http://caml.inria.fr